Adaptive mode (multi-part questions)

Question behaviour ::: qbehaviour_adaptivemultipart
Maintained by TimTim Hunt, Christopher Sangwin
A question behaviour designed for use by qtype_stack.
Latest release:
2891 sites
872 downloads
21 fans
Current versions available: 4

A question behaviour designed for use by qtype_stack.  In particular, as you can see in the example screen shot the behaviour allow questions to have complex, multi-part, mathematical answers.

Sets

This plugin is part of set STACK.

Screenshots

Screenshot #0

Contributors

Tim
Tim Hunt (Lead maintainer)
Christopher Sangwin: Developer
Please login to view contributors details and/or to contact them

Comments RSS

コメントを表示する
  • 2015年 06月 2日(火) 02:58
    Hello!

    The manual is?
  • 2017年 04月 14日(金) 18:53
    The installation of the Plugin works fine. However, when I want to add a new quiz then the option "Adaptive mode (multi-part questions)" is not shown in the "How questions behave" selection field. First I thought that I did something wrong, but then I tried another qbehaviour Plugins (Deferred feedback with explanation; Deferred feedback (all or nothing)). Though, for this two other qbehaviour Plugins everything works fine and the options are shown in the "How questions behave" selection field. Does anyone else have the same problem? For me it seems that it is a problem with the Plugin since the other two Plugins work perfectly. Can you solve this issue?
  • Tim
    2017年 04月 19日(水) 19:53
    Some question behaviours are designed to add new options that the user can select in the quiz settings. Other behaviours, like this one, exist just to support particular quesition types. This behaviour is used by the STACK question type (and a few others) when Adaptive behaviour is selected in the UI.
  • 2018年 04月 23日(月) 20:05
    Hello,

    will there be a 3.4 Version of this Plugin?

    Best regards
    Sebastian
  • 2022年 05月 9日(月) 16:57
    Hello,

    Do you plan a release for Moodle 4.0 ?
    if so, when will it be published?
    Thanks you
  • Tim
    2022年 05月 9日(月) 20:05
    I strongly suspect the code for this plugin will work in Moodle 4.0. (If you try it, please let us know what you find).

    Which question type do you need this for?

    This plugin was origianlly created for the STACK question type. Updating STACK to work with Moodle 4.0 will be a bigger job, and that is were we will probably focus.
Please login to post comments